# QRegExpValidator Class Reference

### [com.trolltech.qt.gui package]

Inherits QValidator.

### Constructor

- void QRegExpValidator(QObject parent)
- void QRegExpValidator(QRegExp rx, QObject parent)

### Constructor Properties

- prototype: The QRegExpValidator prototype object

### Instance Properties

QRegExpValidator objects inherit properties from the QRegExpValidator prototype object and also have the following properties.

- regExp